package cmd

import (
	"fmt"

	"github.com/huoxue1/min-report/config"
	"github.com/huoxue1/min-report/module"
	"github.com/spf13/cobra"
	"github.com/spf13/viper"
)

var (
	rootCmd = cobra.Command{
		Run: func(cmd *cobra.Command, args []string) {
			if err := server().Run(fmt.Sprintf("%s:%d", viper.GetString("http.address"), viper.GetInt("http.port"))); err != nil {
				return
			}
		},
		PreRun: func(cmd *cobra.Command, args []string) {
			fmt.Println(fmt.Sprintf("build commit: %s, build version: %s, build date: %s", Commit, Version, Date))
			config.InitConfig(configFile)
			module.InitDb(viper.GetString("db.driver"), viper.GetString("db.url"))
		},
	}
)

var (
	configFile string
)

func Run() {
	if err := rootCmd.Execute(); err != nil {
		return
	}
}

func init() {
	rootCmd.PersistentFlags().StringVarP(&configFile, "config", "c", "./config.yaml", "config file")
}
