package cmd

import (
	"github.com/gin-gonic/gin"
	"github.com/huoxue1/min-report/handler"
	"github.com/huoxue1/min-report/utils"
)

func server() *gin.Engine {
	engine := gin.Default()
	engine.GET("/health", func(ctx *gin.Context) {
		ctx.JSON(200, "ok")
	})
	engine.POST("/v1/api/report", utils.CreateHandlerFunc(handler.Report))
	engine.POST("/v1/api/captcha", handler.HandleCaptcha())
	return engine
}
