package module

import (
	"github.com/huoxue1/go-utils/base/log"
	"github.com/huoxue1/min-report/pojo"
	"xorm.io/xorm"

	_ "github.com/go-sql-driver/mysql"
	_ "modernc.org/sqlite"
)

var (
	engine *xorm.Engine
)

func InitDb(driver, url string) {
	var err error
	engine, err = xorm.NewEngine(driver, url)
	if err != nil {
		log.Errorln("数据库连接失败")
		log.Panicln(err.Error())
	}
	err = engine.Charset("utf8mb4").Sync2(&pojo.ReportData{})
	if err != nil {
		log.Errorln("数据库同步失败")
		log.Panicln(err.Error())
	}
}
